/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef COLUMN_HASH_TABLE_H
#define COLUMN_HASH_TABLE_H

#include "defs.h"
#include <set>

class ColumnHashTable{
public:
    ColumnHashTable(unsigned int _n, unsigned int maxSize);
    ~ColumnHashTable();
    void clear();
    void insert(const HASH_TYPE& val, unsigned int _n);
    bool find(const HASH_TYPE& val, unsigned int _n);

private:
    unsigned int n;
    unsigned int currEntries;
    unsigned int maxEntries;
    unsigned int maxIndex;
    std::set<HASH_TYPE>* columnHash;
};
#endif

