/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef HELP_FUNCTIONS_H
#define HELP_FUNCTIONS_H

#include "defs.h"
#include <string>
#include <vector>

double faculty(int n);
unsigned int myPowerFunc(unsigned int b, unsigned int e);
double calcDistNumber(int k, int z);
unsigned int logarithm(unsigned int n, unsigned int base);
unsigned int countOccurence(const std::string &searchString, const std::string& inStr);
std::string ReplaceString(const std::string& stringSearchString, const std::string& stringReplaceString, std::string stringStringToReplace);
unsigned int twistUInt(unsigned int);
unsigned long long hashTwist(unsigned long long);
void waitSomeTime(unsigned int nanosecs);
std::string getNextWord(const std::string& s, size_t& pos);
std::vector<std::string> breakDownToWords(const std::string& s);
unsigned int sdbmHash(unsigned char *str);
char readCharacter();

#endif

