/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef MESSAGE_TYPE_HPP
#define MESSAGE_TYPE_HPP

#include "defs.h"

template <class CHAINRING>
struct MessageType{
    MessageType();
    bool operator ==(MessageType<CHAINRING> const& other){
        unsigned int i;
        for (i=0; i<=CHAINRING::getChainLength(); i++){
            if (this->occurencesOfPeriod[i]!=other.occurencesOfPeriod[i]){
                return false;
            }
        }
        return true;
    }
    unsigned int occurencesOfPeriod[MAX_PERIOD+1];
};

template <class CHAINRING>
MessageType<CHAINRING>::MessageType(){
    unsigned int i;
    for (i=0; i<=CHAINRING::getChainLength(); i++){
        this->occurencesOfPeriod[i]=0;
    }
}

#endif

