/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef POLYNOM_H
#define POLYNOM_H

#include <string>
#include "defs.h"

struct Polynom{
    Polynom();
    Polynom(int);
    ~Polynom();
    int maxDegree;
    double* coeff;
    std::string getAsString();
};

Polynom* add(Polynom const*, Polynom const*, int max_deg=0x7FFFFFFF);
Polynom* multiply(Polynom const*, Polynom const*, int max_deg=0x7FFFFFFF);

#endif

