/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#include "setwisePreselectionModule.h"

void SetwisePreselectionModule::init(std::vector<std::set<COLUMN_NO> >& psc){
    this->preselectedColumns=psc;
}

bool SetwisePreselectionModule::isFeasible(COLUMN_NO c, unsigned int step){
    if (step>=this->preselectedColumns.size()){
	return true;
    }
    return (this->preselectedColumns[step].find(c)!=this->preselectedColumns[step].end());
}

bool SetwisePreselectionModule::supportsSystematicGM(){
    return false;
}
