/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef SETWISE_PRESELECTION_MODULE_H
#define SETWISE_PRESELECTION_MODULE_H

#include "abstractPreselectionModule.h"
#include <vector>
#include <set>

class SetwisePreselectionModule : public AbstractPreselectionModule{
public:     
    void init(std::vector<std::set<COLUMN_NO> >& psc);
    bool isFeasible(COLUMN_NO c, unsigned int step);
    bool supportsSystematicGM();
private: 
    std::vector<std::set<COLUMN_NO> > preselectedColumns;
};
    

#endif
