/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#include "time.h"

timeval getCurrentTime(){
    timeval t;
    #ifdef LINUX
        gettimeofday(&t,NULL);
    #else //windows version
        timeb time;
        ftime(&time);
        t.tv_sec=(long)time.time;
        t.tv_usec=time.millitm*1000;
    #endif
    return t;
}

double getTimeDiff(timeval& et, timeval& st){
    double result=et.tv_sec+et.tv_usec/1000000.0;
    result-=st.tv_sec+st.tv_usec/1000000.0;
    return result;
}

