/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef COLUMN_EVAL_H
#define COLUMN_EVAL_H

struct ColumnEval{
    unsigned int column;
    EVAL_TYPE eval;

    ColumnEval(){
	this->column=0;
	this->eval=MINUS_INFTY_LL;
    }
};

class CompColumnEval{
public:
    bool operator()(const ColumnEval& a, const ColumnEval& b){
	if (a.eval>b.eval){
	    return true;
	}
	if (a.eval<b.eval){
	    return false;
	}
	if (a.column<b.column){
	    return true;
	}
	return false;
    }
};

#endif
