/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef NUMBER_LIST_ENTRY_H
#define NUMBER_LIST_ENTRY_H

struct NumberListEntry{
	unsigned int nr;
	NumberListEntry* previousEntry;
	NumberListEntry* nextEntry;
	void undoRemove(){
		this->previousEntry->nextEntry=this;
		this->nextEntry->previousEntry=this;
	}
	void removeFromList(){
		this->previousEntry->nextEntry=this->nextEntry;
		this->nextEntry->previousEntry=this->previousEntry;
	}
};

#endif
