/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef TIME_MANAGER_H
#define TIME_MANAGER_H

#ifdef LINUX
	#include <time.h>
	#include <sys/time.h>
#else //windows version
	#include <winsock2.h>
	#include <sys/timeb.h>
#endif
#include "../h/Thread.h"

class TimeManager{
public:
	static void setStartTimer();
	static double timeSinceStart();
	static void waitSomeTime(unsigned int);

private:
	static timeval startTime;
	static timeval getCurrentTime();
	static double getTimeDiff(timeval const&, timeval const&);
};

#endif
