/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef COMMON_STRUCTS_H
#define COMMON_STRUCTS_H

#include <vector>
#include "Defs.h"
#include "twoDimArray.hpp"

typedef std::pair<int,int> intpair;
typedef std::pair<m_entry, unsigned int> CRColumnNumberPair;


struct RowInterval{
    int minChange;
    int maxChange;
};

struct RowIntervalTable{
    TwoDimArray<RowInterval> riv;
    void init(unsigned int differentCREntries, unsigned int size){
	this->riv.init(differentCREntries,size);
    }
};

#endif
