/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef ABSTRACT_WEIGHT_TABLE_HPP
#define ABSTRACT_WEIGHT_TABLE_HPP

#include "defs.h"
#include <string>

template <class CHAINRING> class AbstractWeightTable{
    public:
        virtual void init()=0;
	virtual WEIGHT_TYPE get_weight(PERIOD)=0;
	virtual WEIGHT_TYPE max_weight()=0;
	virtual std::string name()=0;
};

#endif

