/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef ARC_EVALUATION_TABLE_H
#define ARC_EVALUATION_TABLE_H

#include "defs.h"
#include "twoDimArray.hpp"
#include <string>

class ArcEvaluationTable{
public:
    ArcEvaluationTable();
    ~ArcEvaluationTable();
    void initialize(int n, int v, int e1, int e2, int delta, int d1, int d);
    EVAL_TYPE get_eval(int _n, int d2);
    std::string getTableAsString();
private: 
    TwoDimArray<EVAL_TYPE> table;
    int n,d;
    bool initialized;
};

#endif


