/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef HEURICO2_H
#define HEURICO2_H

#include <string>
#include <iostream>
#include "defs.h"
#include "./Ringe/set.hpp"

int main(int, char**);
void quitHeurico(int);
std::string getHeuricoInformation();
template <class CHAINRING>
Element<typename CHAINRING::type::BaseSet> convertStringToElement(std::string);
#include "abstractCodewordManager.hpp"
template <class CHAINRING>
std::vector<COLUMN_NO> convertGMToNumberVector(std::istream&, AbstractCodewordManager<CHAINRING>*, unsigned int);
std::vector<PERIOD> getNextShape(std::vector<PERIOD> currentShape);

#endif
