/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#include "../h/PAGCodeConstructor.h"
#include "../h/NetCommunicator.h"
#include "../h/Converter.h"
#include "../h/CommonRoutines.h"
#include "../h/Log.h"

#include <fstream>
#include <cstdlib>

PAGCodeConstructor::PAGCodeConstructor(int _n, int _k, int _d, int _q, int _groupid){
    this->n=_n;
    this->k=_k;
    this->d=_d;
    this->q=_q;
    this->groupid=_groupid;
}

PAGCodeConstructor::~PAGCodeConstructor(){	
}

Problem* PAGCodeConstructor::getProblem(){
    Problem* p;
    NetCommunicator nc;
    stringstream remoteFilename;
    remoteFilename<<"/cgi-bin/axel/codedb?groupid+"<<this->groupid<<"+"<<this->q<<"+"<<this->k<<std::endl;
    stringstream s1(nc.getFileFromHost(string("www.mathe2.uni-bayreuth.de"),remoteFilename.str()));
    stringstream s2;
    convertKMMCodeToProblemString(s1,s2,this->n,this->d);
    p=constructProblemFromSStream(s2);
    return p;
}
