/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#include "../h/Random.h"

int iv[NTAB];
int iy=0;
int idum=1;
bool initialized=false;

double get_rand(){
    if (initialized==false){
	for (int i=0; i<NTAB; i++)
	    iv[i]=0;
	initialized=true;
    }	
    double am=double(1)/IM;
    double eps=1.2e-7;
    double rnmx=1-eps;
    int j,k;
    if (idum<=0 || iy==0){
	idum=(int)maximum(-idum,1);
	for (j=NTAB+8; j>=1; j--){
	    k=idum/IQ;
	    int mod=idum-k*IQ;
	    idum=IA*(mod)-IR*k;
	    if (idum<0)
		idum+=IM;
	    if (j<=NTAB)
		iv[j-1]=idum;
	}
	iy=iv[0];
    }
    k=idum/IQ;
    idum=IA*(idum-k*IQ)-IR*k;
    if (idum<0)
	idum+=IM;
    j=1+iy/NDIV;
    iy=iv[j-1];
    iv[j-1]=idum;
    return minimum(am*iy,rnmx);
}

double maximum(double a, double b){
    if (a>=b)
	return a;
    else
	return b;
}

double minimum(double a, double b){
    if (a<=b)
	return a;
    else
	return b;
}
