/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#include "../h/TimeOutThread.h"
#include "../h/TimeManager.h"

void TimeOutThread::setParameter(pFunc f, std::vector<void*>& v, double time){
    this->func=f;
    this->params=v;
    this->timeout=time;
    if (!started){
	started=true;
	this->startThread();
    }
}

void TimeOutThread::run(){
    while(true){
	if (TimeManager::timeSinceStart()>timeout){
	    this->func(this->params);
	}
	TimeManager::waitSomeTime(50);
    }
}
