/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef EVAL_TABLE_H
#define EVAL_TABLE_H

#include "Defs.h"

class EvalTable{
public:
	EvalTable();
	~EvalTable();
	void freeMemory();
	void init(int l, int u, EVAL_TYPE rv_llimit=0.0, EVAL_TYPE rv_ulimit=1.0);
	EVAL_TYPE get_val(int i);
	void set_val(int i, EVAL_TYPE d);
	int get_llimit();
	int get_ulimit();
private:
	bool mem_allocated;
	int l_limit,u_limit;
	EVAL_TYPE* entry;
	EVAL_TYPE retval_llimit,retval_ulimit;
};

#endif
