/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef KMM_CONSTRUCTOR_H
#define KMM_CONSTRUCTOR_H

#include "AbstractProblemConstructor.h"
#include <string>
using namespace std;

class KMMConstructor: public AbstractProblemConstructor{
	public:
		~KMMConstructor();
		KMMConstructor(string, inequationType, sum_of_entries, sum_of_entries);
		Problem* getProblem();

	private:
		string filename;
		inequationType iet;
		sum_of_entries rhs;
		sum_of_entries n;

};
		

#endif
