/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef SOLVER_H
#define SOLVER_H
	
#include <sstream>
#include <vector>
#include "Problem.h"

using namespace std;

#define DEFAULT_PERMHASH_SIZE (64*1024*1024ULL)
#define DEFAULT_EVALHASH_SIZE (64*1024*1024ULL)

void stopSearch(int);
void quitSolver(int);
void timeOutCallBack(std::vector<void*> v);
void saveSolution(stringstream& s);

#endif

