/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef TIME_OUT_THREAD_H
#define TIME_OUT_THREAD_H

#include "../h/Thread.h"
#include <vector>

class TimeOutThread : public Thread{
    typedef void(*pFunc)(std::vector<void*>);

public:
    TimeOutThread() : started(false) {};
    void setParameter(pFunc f, std::vector<void*>& v, double time);

private:
    bool started;
    double timeout;
    pFunc func;
    std::vector<void*> params;
    void run();
};

#endif
