/********************************************
Copyright 2010 by Johannes Zwanzger, Bayreuth
********************************************/

#ifndef HASHTABLE_H
#define HASHTABLE_H

#include <set>

#define HASHTABLE_DEFAULT_ENTRY 0x123456789abcdef0LL
class HashTable{
public:
    HashTable(unsigned long long maxSize);
    ~HashTable();
    void clear();
    void insert(const unsigned long long& val);
    bool find(const unsigned long long& val);
    unsigned long long getCurrentSize();

private:
    unsigned long long currEntries;
    unsigned long long size;
    unsigned long long mod;
    unsigned long long* entries;
};
#endif

